[arch-commits] Commit in strigi/repos (testing-i686 testing-i686/PKGBUILD)

Pierre Schmitz pierre at archlinux.org
Sun Jul 13 19:45:35 EDT 2008


    Date: Sunday, July 13, 2008 @ 19:45:35
  Author: pierre
Revision: 5196

Merged revisions 2313-5195 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/strigi/trunk

........
  r2697 | pierre | 2008-06-12 11:44:56 +0000 (Do, 12 Jun 2008) | 1 line
  
  upgpkg: strigi 0.5.10-1
........
  r5189 | pierre | 2008-07-13 23:12:23 +0000 (So, 13 Jul 2008) | 1 line
  
  upgpkg: strigi 0.5.10-2
........

Modified:
  strigi/repos/testing-i686/	(properties)
  strigi/repos/testing-i686/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++------------
 1 file changed, 8 insertions(+), 12 deletions(-)


Property changes on: strigi/repos/testing-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /strigi/trunk:1-2312
   + /strigi/trunk:1-5195

Modified: testing-i686/PKGBUILD
===================================================================
--- testing-i686/PKGBUILD	2008-07-13 23:42:00 UTC (rev 5195)
+++ testing-i686/PKGBUILD	2008-07-13 23:45:35 UTC (rev 5196)
@@ -2,27 +2,23 @@
 # Maintainer: Tobias Powalowski <tpowa at archlinux.org>
 
 pkgname=strigi
-pkgver=0.5.9.svn813921
-pkgrel=1
+pkgver=0.5.10
+pkgrel=2
 pkgdesc="Strigi Desktop Search"
 arch=('i686' 'x86_64')
 url="http://strigi.sourceforge.net"
 license=('GPL2')
-depends=('qt>=4.3.2' 'clucene' 'bzip2' 'libxml2')
+depends=('qt>=4.3.2' 'clucene' 'bzip2' 'libxml2' 'dbus')
 makedepends=('cmake' 'pkgconfig' 'exiv2' 'dbus')
-#svn snapshot: svn co svn://anonsvn.kde.org/home/kde/trunk/kdesupport/strigi
-source=(ftp://ftp.archlinux.org/other/strigi/$pkgname-$pkgver.tar.bz2
-	#http://kent.dl.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2
-	)
+source=("http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2")
 options=(!libtool)
-md5sums=('5aa6c24ee522bf2467c5c4f0810f7608')
+md5sums=('cfaa2114ea27f2a00e6773c374e98ec4')
 
 build() {
-  # start building
-  cd $startdir/src/$pkgname
+  cd $srcdir/$pkgname-$pkgver
 
   cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
 
-  make VERBOSE=1 || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
 }





More information about the arch-commits mailing list